<html>
<head>
  <script src="{{ url_for('static', filename='script.js') }}"></script>
  <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" type="text/javascript"></script>
  <script type="text/javascript" src="http://ajax.aspnetcdn.com/ajax/jquery.templates/beta1/jquery.tmpl.min.js"></script>
  <link type="text/css" rel="stylesheet" href="{{ url_for('static', filename='style.css') }}">
</head>
<body>
  <h1>Tweets analysis</h1>
</body>
<div id="tweetsTable"></div>
<div id="tweetsPagination"></div>
<script id="tweetsTableTemplate" type="text/x-jquery-tmpl">
    {% raw %}
        <thead>
            <th>Id</th>
            <th>Content</th>
            <th>Likes</th>
            <th>Retweets</th>
            <th>replies</th>
            <th>Video views</th>

        </thead>
        <tbody>
            {{each(i, line) data}}
            <tr id="${line.id}">
                <td>${line.id}</td>
                <td>${line.content}</td>
                <td>${line.likes}</td>
                <td>${line.retweets}</td>
                <td>${line.replies}</td>
                <td>${line.video_views}</td>
            </tr>
            {{/each}}
        </tbody>
        </table>
    {% endraw %}
</script>
<script id="paginationTemplate" type="text/x-jquery-tmpl">
    {% raw %}
    <div>
        <a href="#">&laquo;</a>
        {{each(i, p) pages}}
            <a id="page=${p}" href='#'>${p}</a>
        {{/each}}
        <a href="#">&raquo;</a>
    </div>
    {% endraw %}
</script>
</html>
